package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingCouponSendmaRequest struct {
	/*
	   发放匿名码入参     */
	Param0 *domain.AlibabaHmMarketingCouponSendmaCommonActivityParam `json:"param0" required:"true" `
}

func (s *AlibabaHmMarketingCouponSendmaRequest) SetParam0(v domain.AlibabaHmMarketingCouponSendmaCommonActivityParam) *AlibabaHmMarketingCouponSendmaRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaHmMarketingCouponSendmaRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaHmMarketingCouponSendmaRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
